For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Channels
    • Orders
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet one Shipment by Shipment Id
      • POSTCancel multiple Shipments by Shipment Id
      • POSTUpdate Tracking Uploaded Status for Multiple Shipments by Shipment Id
      • GETGet one Shipment's status timeline by Shipment Id
      • POSTCancel single Order by Order ID
      • POSTCancel one Shipment by Shipment Id
      • GETGet shipping methods
      • GETGet one Shipment's status timeline by Order Id and Shipment Id
      • GETGet all Shipments for Order
      • GETGet logs for one Shipment by Order Id and Shipment Id
      • POSTCancel one Shipment by Order Id and Shipment Id
      • GETGet logs for one Shipment by Shipment Id
      • GETGet one Shipment by Order Id and Shipment Id
      • POSTEstimate Fulfillment Cost For Order
      • GETGet Order Store Json
      • POSTSave the Store Order Json
      • PUTUpdate a Shipment
    • Products
    • Inventory
    • Receiving
    • Returns
    • Webhooks
    • Locations
    • OpenAPI spec
LogoLogo
API ReferenceOrders

Cancel multiple Shipments by Shipment Id

||View as Markdown|
POST
/2.0/shipment/cancelbulk
POST
/2.0/shipment/cancelbulk
$curl -X POST https://api.shipbob.com/2.0/shipment/cancelbulk \
> -H "shipbob_channel_id: shipbob_channel_id" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "shipment_ids": [
> 0
> ]
>}'
1{
2 "results": [
3 {
4 "action": "Cancel",
5 "is_success": true,
6 "reason": "string",
7 "shipment_id": 0
8 }
9 ]
10}
Was this page helpful?
Previous

Get one Shipment by Shipment Id

Next

Update Tracking Uploaded Status for Multiple Shipments by Shipment Id

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Headers

shipbob_channel_idstringRequiredformat: "int32"
Channel ID for Operation

Request

The shipment IDs to cancel
shipment_idslist of integers or nullOptional
Shipment IDs to cancel

Response

Success
resultslist of objects or null
The results of all cancellation actions

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error